<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="cfb3fe19-4feb-4e86-ac53-b3d4ae0b5099" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_svg_map/MainActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="300">
              <caret line="12" column="38" selection-start-line="12" selection-start-column="38" selection-end-line="12" selection-end-column="38" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
          <provider editor-type-id="android-designer2" />
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="250">
              <caret line="10" column="44" selection-start-line="10" selection-start-column="44" selection-end-line="10" selection-end-column="44" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_svg_map/MapView.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="171">
              <caret line="119" column="36" lean-forward="true" selection-start-line="119" selection-start-column="36" selection-end-line="119" selection-end-column="36" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#200#201#0" expanded="true" />
                <element signature="e#230#231#0" expanded="true" />
                <element signature="e#1657#3975#0" expanded="true" />
                <element signature="e#3974#3975#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/res/raw/china.svg">
          <provider selected="true" editor-type-id="images" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_svg_map/ProviceItem.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="850">
              <caret line="34" column="35" selection-start-line="34" selection-start-column="35" selection-end-line="34" selection-end-column="35" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#316#317#0" expanded="true" />
                <element signature="e#348#349#0" expanded="true" />
                <element signature="e#228#229#0" expanded="true" />
                <element signature="e#269#270#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_svg_map/MainActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_svg_map/ProviceItem.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_svg_map/MapView.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="5" />
    <option name="y" value="2" />
    <option name="width" value="1671" />
    <option name="height" value="1045" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="MN_VIP_SVG_Map" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_SVG_Map" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_SVG_Map" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_SVG_Map" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_SVG_Map" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_SVG_Map" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_SVG_Map" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_SVG_Map" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_SVG_Map" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_SVG_Map" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_SVG_Map" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_SVG_Map" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="mn_vip_svg_map" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_SVG_Map" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_SVG_Map" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="res" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_SVG_Map" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_SVG_Map" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="res" type="462c0819:PsiDirectoryNode" />
              <item name="raw" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="AndroidView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="android.sdk.path" value="E:/Android/Sdk" />
    <property name="device.picker.selection" value="Pixel_3_API_24_2" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\MN_Android\MN_VIP_SVG_Map\app\src\main\res" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="cfb3fe19-4feb-4e86-ac53-b3d4ae0b5099" name="Default Changelist" comment="" />
      <created>1595677963778</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1595677963778</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="5" y="2" width="1671" height="1045" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" visible="true" weight="0.09068168" />
      <window_info id="Structure" side_tool="true" />
      <window_info id="Build Variants" side_tool="true" />
      <window_info id="Image Layers" />
      <window_info id="Designer" />
      <window_info id="Resources Explorer" />
      <window_info id="Capture Tool" />
      <window_info id="Favorites" side_tool="true" />
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Run" />
      <window_info anchor="bottom" id="Logcat" />
      <window_info anchor="bottom" id="Version Control" />
      <window_info anchor="bottom" id="TODO" />
      <window_info anchor="bottom" id="Debug" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Flutter Performance" side_tool="true" />
      <window_info anchor="bottom" id="Build" visible="true" weight="0.046893317" />
      <window_info anchor="bottom" id="Android Profiler" />
      <window_info anchor="right" id="Device File Explorer" side_tool="true" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Gradle" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Flutter Inspector" />
      <window_info anchor="right" id="Preview" />
      <window_info anchor="right" id="Flutter Outline" />
      <window_info anchor="right" id="Palette&#9;" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/app/src/main/res/mipmap-anydpi-v26/ic_launcher.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="3" column="49" selection-start-line="3" selection-start-column="49" selection-end-line="3" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/drawable-v24/ic_launcher_foreground.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/android/graphics/RectF.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="13" column="13" selection-start-line="13" selection-start-column="13" selection-end-line="13" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/java/io/InputStream.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="7" column="22" selection-start-line="7" selection-start-column="22" selection-end-line="7" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/java/nio/file/Path.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="14" column="17" selection-start-line="14" selection-start-column="17" selection-end-line="14" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/android/graphics/Paint.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="258">
          <caret line="286" column="16" selection-start-line="286" selection-start-column="16" selection-end-line="286" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/org/w3c/dom/Element.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="258">
          <caret line="22" column="13" selection-start-line="22" selection-start-column="13" selection-end-line="22" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/org/w3c/dom/NodeList.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="7" column="17" selection-start-line="7" selection-start-column="17" selection-end-line="7" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/org/w3c/dom/Node.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-650">
          <caret line="7" column="17" selection-start-line="7" selection-start-column="17" selection-end-line="7" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/java/util/logging/Handler.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="9" column="22" selection-start-line="9" selection-start-column="22" selection-end-line="9" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="250">
          <caret line="10" column="44" selection-start-line="10" selection-start-column="44" selection-end-line="10" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/android/view/View.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-567">
          <caret line="2800" column="22" selection-start-line="2800" selection-start-column="22" selection-end-line="2800" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_svg_map/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="12" column="38" selection-start-line="12" selection-start-column="38" selection-end-line="12" selection-end-column="38" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/raw/china.svg">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_svg_map/ProviceItem.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="850">
          <caret line="34" column="35" selection-start-line="34" selection-start-column="35" selection-end-line="34" selection-end-column="35" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#316#317#0" expanded="true" />
            <element signature="e#348#349#0" expanded="true" />
            <element signature="e#228#229#0" expanded="true" />
            <element signature="e#269#270#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_svg_map/MapView.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="171">
          <caret line="119" column="36" lean-forward="true" selection-start-line="119" selection-start-column="36" selection-end-line="119" selection-end-column="36" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#200#201#0" expanded="true" />
            <element signature="e#230#231#0" expanded="true" />
            <element signature="e#1657#3975#0" expanded="true" />
            <element signature="e#3974#3975#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>